aboutsummaryrefslogtreecommitdiff
path: root/sysutils/upsd
diff options
context:
space:
mode:
authorJames E. Housley <jeh@FreeBSD.org>2001-01-13 02:01:09 +0000
committerJames E. Housley <jeh@FreeBSD.org>2001-01-13 02:01:09 +0000
commit41bb519cbe46904fa58d0c146300d683c605494f (patch)
tree5c784ed50e106b0a96f1e3f7cead19a73f3733d3 /sysutils/upsd
parent8e8a1c8bfc453e4e93407c8a25ccf52a7463d1a3 (diff)
downloadports-41bb519cbe46904fa58d0c146300d683c605494f.tar.gz
ports-41bb519cbe46904fa58d0c146300d683c605494f.zip
Notes
Diffstat (limited to 'sysutils/upsd')
-rw-r--r--sysutils/upsd/files/upsd.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/sysutils/upsd/files/upsd.sh b/sysutils/upsd/files/upsd.sh
new file mode 100644
index 000000000000..e8540a141b31
--- /dev/null
+++ b/sysutils/upsd/files/upsd.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+ start)
+ [ -x ${PREFIX}/sbin/upsd ] && ${PREFIX}/sbin/upsd && echo -n ' upsd'
+ ;;
+ stop)
+ [ -f /var/run/upsd.pid ] && kill -QUIT `cat /var/run/upsd.pid` && echo -n ' upsd'
+ ;;
+ *)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+ esac
+
+exit 0